pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult Struct Reference

Data structure used to store the results of the MLS fitting. More...

`#include <pcl/surface/mls.h>`

## Public Member Functions

| MLSResult ()
| MLSResult (const Eigen::Vector3d &a_mean, const Eigen::Vector3d &a_plane_normal, const Eigen::Vector3d &a_u, const Eigen::Vector3d &a_v, const Eigen::VectorXd a_c_vec, const int a_num_neighbors, const float &a_curvature)

## Public Attributes

Eigen::Vector3d | mean
Eigen::Vector3d | plane_normal
Eigen::Vector3d | u_axis
Eigen::Vector3d | v_axis
Eigen::VectorXd | c_vec
int | num_neighbors
float | curvature
bool | valid

## Detailed Description

### template<typename PointInT, typename PointOutT>
struct pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult

Data structure used to store the results of the MLS fitting.

Note
  Used only in the case of VOXEL_GRID_DILATION or DISTINCT_CLOUD upsampling

Definition at line 348 of file mls.h.

## Constructor & Destructor Documentation

## MLSResult() [1/2]

template<typename PointInT, typename PointOutT>

pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::MLSResult | ( |  | ) |

inline

Definition at line 350 of file mls.h.

## MLSResult() [2/2]

template<typename PointInT , typename PointOutT >

pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::MLSResult | ( | const Eigen::Vector3d & | a_mean,
|  | const Eigen::Vector3d & | a_plane_normal,
|  | const Eigen::Vector3d & | a_u,
|  | const Eigen::Vector3d & | a_v,
|  | const Eigen::VectorXd | a_c_vec,
|  | const int | a_num_neighbors,
|  | const float & | a_curvature
| ) |  |

Definition at line 700 of file mls.hpp.

## Member Data Documentation

## c_vec

template<typename PointInT, typename PointOutT>

Eigen::VectorXd pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::c_vec

Definition at line 361 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::searchForNeighbors().

## curvature

template<typename PointInT, typename PointOutT>

float pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::curvature

Definition at line 363 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::searchForNeighbors().

## mean

template<typename PointInT, typename PointOutT>

Eigen::Vector3d pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::mean

Definition at line 360 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::searchForNeighbors().

## num_neighbors

template<typename PointInT, typename PointOutT>

int pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::num_neighbors

Definition at line 362 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::searchForNeighbors().

## plane_normal

template<typename PointInT, typename PointOutT>

Eigen::Vector3d pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::plane_normal

Definition at line 360 of file mls.h.

## u_axis

template<typename PointInT, typename PointOutT>

Eigen::Vector3d pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::u_axis

Definition at line 360 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::searchForNeighbors().

## v_axis

template<typename PointInT, typename PointOutT>

Eigen::Vector3d pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::v_axis

Definition at line 360 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::searchForNeighbors().

## valid

template<typename PointInT, typename PointOutT>

bool pcl::MovingLeastSquares< PointInT, PointOutT >::MLSResult::valid

Definition at line 364 of file mls.h.

The documentation for this struct was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/mls.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/impl/mls.hpp